Subject: Re: bug#62370: 28.1; sieve-mode: faces should inherit from font-lock-X-face faces

From: Stefan Kangas <[email-masked]>
Date: Sun, 3 Sep 2023 03:30:45 -0700

Jim Porter <[email-masked]> writes:

> I agree that we shouldn't be changing defaults arbitrarily, but as I found when
> looking at the face definitions, we could make this change in a way where it
> just simplifies the job for theme authors but doesn't cause a noticeable change
> in most cases.
>
> Does that sound ok? If not, then I think we can just close this.

I think the solution that you proposed makes sense: it wouldn't break
anything, and it would make sieve-mode look better for many users.

ISTR that Philip was planning to look into improving our face
definitions, so I'm putting him in Cc in case he has any comments.